<?php 
 function encrypt($string, $key) { 
  $result = ''; 
  for($i=0; $i<strlen($string); $i++) { 
    $char = substr($string, $i, 1); 
    $keychar = substr($key, ($i % strlen($key))-1, 1); 
    $char = chr(ord($char)+ord($keychar)); 
    $result.=$char; 
  } 

  return base64_encode($result); 
 } 

 function decrypt($string, $key) { 
  $result = ''; 
  $string = base64_decode($string); 

  for($i=0; $i<strlen($string); $i++) { 
    $char = substr($string, $i, 1); 
    $keychar = substr($key, ($i % strlen($key))-1, 1); 
    $char = chr(ord($char)-ord($keychar)); 
    $result.=$char; 
  } 

  return $result; 
 } 

$string ='Tckb я например хочу влепить в брузер cook в зашифрованом виде(естественно с ключем шифрования). А потом на некой странице decript.php имея ключ рассштфровать его, как мне это сделать.'; 

$key = "27dsfiouhu69876876tihj"; 

$encrypted = encrypt($string, $key); 
$decrypted = decrypt($encrypted, $key); 

echo " $encrypted <br/>::<br/> $decrypted "; 

?>